#!/bin/bash

export BASE=${CONDUCTOR_SERVER:-http://conductorserver:8080/api}

echo 'Waiting for Conductor at ' $BASE ' ...' 

while [[ "$(curl -s -o /dev/null -L -w ''%{http_code}'' $BASE/health)" != 200 ]]; do
    echo 'still waiting ...'
    sleep 5
done

echo 'Starting provisioning workers...'

python3 PyExec.py Ansible Packer 
